summaryrefslogtreecommitdiff
path: root/mipsrelease
diff options
context:
space:
mode:
authorNicolás Reynolds <fauno@kiwwwi.com.ar>2011-03-21 20:17:36 -0300
committerNicolás Reynolds <fauno@kiwwwi.com.ar>2011-03-21 20:17:36 -0300
commit9c4f19b5e3f590002c19758cded5cb6ed691a8fd (patch)
treef9c18f9fc7cbab137e0598a14abee9d2ffb76b70 /mipsrelease
parent28bf2e7374b2c9fa4fb66920a31152d20dc95285 (diff)
MIPS port helpful scripts
Diffstat (limited to 'mipsrelease')
-rwxr-xr-xmipsrelease17
1 files changed, 17 insertions, 0 deletions
diff --git a/mipsrelease b/mipsrelease
new file mode 100755
index 0000000..82cd51f
--- /dev/null
+++ b/mipsrelease
@@ -0,0 +1,17 @@
+#!/bin/bash
+# Temporary script for uploading mips64el packages to the server
+
+source /etc/makepkg.conf
+source /etc/libretools.conf
+
+for pkg in $@; do
+ scp $pkg ${PARABOLAHOST}:mips64el/stage3/
+done
+
+scp ${PARABOLAHOST}:mips64el/stage3/stage3.db.tar.gz ${SRCDEST}/ && \
+repo-add ${SRCDEST}/stage3.db.tar.gz $@ && \
+scp ${SRCDEST}/stage3.db.tar.gz ${PARABOLAHOST}:mips64el/stage3/
+
+#ssh parabola bash -c "cd /home/parabolavnx/mips64el/stage3/ ; repo-add stage3.db.tar.gz $@"
+
+exit $?